package com.yonge.cooleshow.biz.dal.vo.res;

import com.yonge.cooleshow.biz.dal.entity.UserBankCard;
import com.yonge.cooleshow.biz.dal.vo.UserBankCardVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 老师结算页面返回对象
 * @Author: liweifan
 * @Data: 2022/4/7 14:24
 */
@ApiModel(value = "WithdrawalInfoRes", description = "老师结算页面返回对象")
public class WithdrawalInfoRes {
    @ApiModelProperty("用户银行卡")
    private UserBankCardVo userBankCard;
    @ApiModelProperty("可结算余额")
    private BigDecimal amountWithdrawal;
    @ApiModelProperty("平台结算手续费")
    private BigDecimal withdrawalServiceFee;

    public UserBankCardVo getUserBankCard() {
        return userBankCard;
    }

    public void setUserBankCard(UserBankCardVo userBankCard) {
        this.userBankCard = userBankCard;
    }

    public BigDecimal getAmountWithdrawal() {
        return amountWithdrawal;
    }

    public void setAmountWithdrawal(BigDecimal amountWithdrawal) {
        this.amountWithdrawal = amountWithdrawal;
    }

    public BigDecimal getWithdrawalServiceFee() {
        return withdrawalServiceFee;
    }

    public void setWithdrawalServiceFee(BigDecimal withdrawalServiceFee) {
        this.withdrawalServiceFee = withdrawalServiceFee;
    }
}
